Authorization: Bearer ********************curl --location --request GET '/admin/users?status' \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Success",
"data": {
"users": [
{
"id": "d124ab40-23f5-4216-a5ce-79271c7f08ac",
"email": "malibaig006@gmail.com",
"username": "malibaig006",
"name": "malibaig",
"createdAt": "2025-10-17T09:13:40.233Z",
"bio": null,
"website": null,
"secondaryEmail": null,
"stats": {
"totalPosts": 1,
"totalFlagged": 0,
"engagementGiven": {
"likes": 2,
"bookmarks": 1,
"shares": 1
},
"engagementReceived": {
"views": 0,
"likes": 1,
"bookmarks": 0,
"shares": 0
},
"moderation": {
"blockedUsers": 0,
"blockedByUsers": 0,
"flaggedContent": 0
},
"timeOnPlatform": "8 hours",
"timeOnPlatformDays": 0
},
"activity": [
{
"id": "2a7059be-159e-4219-b51e-97ddf778a833",
"createdAt": "2025-10-17T11:20:47.310Z",
"ipAddress": "103.125.179.30"
}
]
}
],
"pagination": {
"currentPage": 1,
"totalPages": 99,
"totalUsers": 99,
"limit": 1,
"hasNextPage": true,
"hasPrevPage": false,
"nextPage": 2,
"prevPage": null
}
}
}